Skip to main content
POST
/
v1
/
tenants
/
{tenant_id}
/
data
/
attributes
/
read
go
rr, err := client.Data.ReadAttributes(context.Background(), &v1.Data.AttributeReadRequest{
    TenantId: "t1",
    Metadata: &v1.Data.AttributeReadRequestMetadata{
        SnapToken: "",
    },
    Filter: &v1.AttributeFilter{
        Entity: &v1.EntityFilter{
            Type: "organization",
            Ids: []string{"1"},
        },
        Attributes: []string{"private"},
    },
})
{
  "attributes": [
    {
      "entity": {
        "type": "<string>",
        "id": "<string>"
      },
      "attribute": "<string>",
      "value": {
        "@type": "<string>"
      }
    }
  ],
  "continuous_token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://proxy-docs.permify.co/llms.txt

Use this file to discover all available pages before exploring further.

Read API allows for directly querying the stored graph data to display and filter stored attributes.

Path Parameters

tenant_id
string
required

Identifier of the tenant, if you are not using multi-tenancy (have only one tenant) use pre-inserted tenant t1 for this field. Required, and must match the pattern \“[a-zA-Z0-9-,]+\“, max 64 bytes.

Body

application/json

AttributeReadRequest defines the structure of a request for reading attributes. It includes the tenant_id, metadata, attribute filter, page size for pagination, and a continuous token for multi-page results.

metadata
object

AttributeReadRequestMetadata defines the structure for the metadata of an attribute read request. It includes the snap_token associated with a particular state of the database.

filter
object

AttributeFilter is used to filter attributes based on the entity and attribute names.

page_size
integer<int64>

page_size specifies the number of results to return in a single page. If more results are available, a continuous_token is included in the response.

continuous_token
string

continuous_token is used in case of paginated reads to get the next page of results.

Response

A successful response.

AttributeReadResponse defines the structure of the response to an attribute read request. It includes the attributes retrieved and a continuous token for handling result pagination.

attributes
object[]

attributes is a list of the attributes retrieved in the read operation.

continuous_token
string

continuous_token is used in the case of paginated reads to retrieve the next page of results.